Bug 17604 - Add the Koha::Patron::Category->effective_BlockExpiredPatronOpacActions method
Summary: Add the Koha::Patron::Category->effective_BlockExpiredPatronOpacActions method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17555
Blocks: 17522
  Show dependency treegraph
 
Reported: 2016-11-10 08:41 UTC by Jonathan Druart
Modified: 2017-06-14 22:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17604: GetMemberDetails - Add Koha::Patron::Category->effective_BlockExpiredPatronOpacActions (2.79 KB, patch)
2016-11-10 08:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17604: GetMemberDetails - Add Koha::Patron::Category->effective_BlockExpiredPatronOpacActions (2.86 KB, patch)
2016-11-15 10:00 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17604: GetMemberDetails - Add Koha::Patron::Category->effective_BlockExpiredPatronOpacActions (2.90 KB, patch)
2016-11-15 15:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-10 08:41:05 UTC

    
Comment 1 Jonathan Druart 2016-11-10 08:42:31 UTC
Created attachment 57413 [details] [review]
Bug 17604: GetMemberDetails - Add Koha::Patron::Category->effective_BlockExpiredPatronOpacActions

This patch simply adds a new method to retrieve the correct value of
BlockExpiredPatronOpacActions.

Test plan:
  prove t/db_dependent/Koha/Patron/Categories.t
should return green
Comment 2 Josef Moravec 2016-11-15 10:00:20 UTC
Created attachment 57477 [details] [review]
[SIGNED-OFF] Bug 17604: GetMemberDetails - Add Koha::Patron::Category->effective_BlockExpiredPatronOpacActions

This patch simply adds a new method to retrieve the correct value of
BlockExpiredPatronOpacActions.

Test plan:
  prove t/db_dependent/Koha/Patron/Categories.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Kyle M Hall 2016-11-15 15:22:11 UTC
Created attachment 57497 [details] [review]
Bug 17604: GetMemberDetails - Add Koha::Patron::Category->effective_BlockExpiredPatronOpacActions

This patch simply adds a new method to retrieve the correct value of
BlockExpiredPatronOpacActions.

Test plan:
  prove t/db_dependent/Koha/Patron/Categories.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-11-15 15:22:47 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Mason James 2016-11-30 11:52:52 UTC
(In reply to Kyle M Hall from comment #4)
> Pushed to master for 16.11, thanks Jonathan!

enhancement, passing for 16.05